AutoCAD명령내리기 acedCommand() , acedCmd() 이해와 사용법

이번 강좌는 AutoCAD 명령을 내리기 위한 방법을 알아봅시다. 리습에서 프로그램을 작성하다보면 명령어로 많은 작업을 하게 됩니다. 이때 많이 사용되는 함수가 (command)함수이죠. 바로 이 명령과 동일한 역할을 하는 함수가 ObjectARX에서 acedCommand()와 acedCmd()임니다. 만약 가지고 있는 리습을 Arx로 바꾸고자 하신다면 이 명령들을 잘 아셔야 겠죠.^.^; ============================================================================================= 1. acedCommand() int acedCommand( int rtype, …); 이 함수는 가변인자를 가지는데…

vs2008 에서 fatal error C1083: 포함 파일을 열 수 없습니다.

[#M_ more.. | less.. | …………………………….. ………………………… 2>컴파일하고 있습니다… 1>컴파일하고 있습니다… 2>cl : 명령줄 warning D9035 : ‘Wp64’ 옵션은 더 이상 사용되지 않으므로 이후 릴리스에서 제거될 예정입니다. 2>StdAfx.cpp 1>cl : 명령줄 warning D9035 : ‘Wp64’ 옵션은 더 이상 사용되지 않으므로 이후 릴리스에서 제거될 예정입니다. 1>StdAfx.cpp 1>c:\objectarx\objectarx 2010\inc\acarray.h(93) : fatal error C1083: 포함 파일을 열 수…

어떤 점에 있는 라인의 ID 획득하기

AcDbObjectId FindLine(AcGePoint3d pt){    AcDbObjectId yLineId;    ads_point ptUnder = {pt.x, pt.y, pt.z};    ads_name ss;    int res;     resbuf* rb=acutBuildList(RTDXF0, _T(“LINE”), 0);        //필터     double BoxScale=0.0;    BoxScale = Utils::getPickBox();        //pickbox 크기     AcGePoint3d p1, p2;    p1.x = pt.x – BoxScale*0.5;    p1.y = pt.y – BoxScale*0.5;    p2.x = pt.x + BoxScale*0.5;    p2.y…

어떤 좌표에 위치한 엔터티 구하기

int ArxGetEntUnderPos(AcDbObjectIdArray& ids , const AcGePoint3d& pt) {                   ads_point ptUnder = {pt.x, pt.y, pt.z};                     ads_name ss;                   int res;                   if (RTNORM != (res = acedSSGet(“:E”, ptUnder, NULL, NULL, ss)))                   {                                     // There is probably nothing under the cursor,                                     // so return and let AutoCAD process the…

acedSSGet 함수